"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconMobileFill",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = ["fill"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: "none",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-mobile-fill`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), [
    vue.createElementVNode("path", {
      "fill-rule": "evenodd",
      "clip-rule": "evenodd",
      d: "M38 2c1.105 0 2 .9 2 2v40c0 1.1-.895 2-2 2H10c-1.105 0-2-.9-2-2V4c0-1.1.895-2 2-2h28zM24 34a3 3 0 110 6 3 3 0 010-6z",
      fill: $props.useCurrentColor ? "currentColor" : "#000"
    }, null, 8, _hoisted_1),
    vue.createElementVNode("path", {
      d: "M12.5 7.5a1 1 0 011-1h21a1 1 0 011 1v21h-23v-21z",
      fill: $props.useCurrentColor ? "currentColor" : "#fff"
    }, null, 8, _hoisted_2)
  ], 16);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
